> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Competitor Report

> Poll a report job. When complete, returns presigned download URLs.



## OpenAPI

````yaml /openapi.json get /api/v1/brands/{brand_id}/dashboards/competitor-google-ads/report/{job_id}
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/dashboards/competitor-google-ads/report/{job_id}:
    get:
      tags:
        - Dashboards
        - Dashboards
      summary: Get Competitor Report
      description: Poll a report job. When complete, returns presigned download URLs.
      operationId: >-
        get_competitor_report_api_v1_brands__brand_id__dashboards_competitor_google_ads_report__job_id__get
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            title: Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ReportStatusResponse:
      properties:
        status:
          type: string
          title: Status
        files:
          items:
            $ref: '#/components/schemas/ReportFile'
          type: array
          title: Files
          default: []
      type: object
      required:
        - status
      title: ReportStatusResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ReportFile:
      properties:
        format:
          type: string
          title: Format
        filename:
          type: string
          title: Filename
        url:
          type: string
          title: Url
        file_size:
          type: integer
          title: File Size
      type: object
      required:
        - format
        - filename
        - url
        - file_size
      title: ReportFile
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````